.post-list {
    display: grid;
    grid-row-gap: rem(24);
    grid-column-gap: rem(24);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        padding-bottom: rem(24);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(40);
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.post-item {
    color: $white;
    display: block;
    font-size: rem(14);
    line-height: rem(20);
    text-decoration: none;
    background: $black-30;

    &:hover {
        color: $white;
        text-decoration: none;
    }

    &__media {
        display: block;
        position: relative;
    }

    &__image {
        display: block;
        height: rem(240);

    }

    &__play {
        right: rem(16);
        bottom: rem(16);
        z-index: 20;
        font-size: 0;
        line-height: 0;
        width: rem(48);
        height: rem(48);
        display: block;
        position: absolute;
        background: $black;
    }

    &__content {
        display: block;
        padding: rem(16);
    }

    &--white {
        color: $black;
        background: $white;
        border: 1px solid #969696;

        .post-item {

            &__play {

            }
        }

        &:hover {
            color: $black;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        line-height: rem(24);
    }

    @include media-breakpoint-up(xl) {

        &__image {

            &:before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 5;
                content: '';
                position: absolute;
                background: rgba(0, 0, 0, 0.4);
                backdrop-filter: blur(4px);
                transition: .3s;
            }
        }

        &:hover {

            .post-item {

                &__image {

                    &:before {
                        backdrop-filter: blur(0);
                        background: rgba(0, 0, 0, 0.1);
                        transition: .3s;
                    }
                }
            }
        }
    }
}
